import { z } from "zod";


export const QuizFormValidation = z.object({
    title: z.string(),
    description: z.string(),
    image: z.string(),
    status: z.string(),
    open: z.string()
});


export const QuizQuestionFormValidation = z.object({
    quizId: z.number(),
    description: z.string(),
    marks: z.string(),
    status: z.string()
});


export const UpdateQuizQuestionFormValidation = z.object({
    questionId: z.number(),
    description: z.string(),
    marks: z.string(),
    status: z.string()
});


export const QuizQuestionOptionFormValidation = z.object({
    questionId: z.number(),
    description: z.string(),
    correct: z.string(),
    status: z.string(),
});


